
!Algertype methodsFor: '*OB-Algernon' stamp: 'EL 5/5/2008 20:42'!
openInExistingBrowser: anObject
|browser|
	browser := Algernon existingBrowser.
	browser ifNil:[ self openInNewBrowser: anObject ].! !

!Algertype methodsFor: '*OB-Algernon' stamp: 'EL 5/6/2008 10:38'!
openInNewBrowser: anObject
	| browser |
	browser := self systemNavigation browserClass browserClass new.
	browser open.
	self open: anObject inBrowser: browser.! !

!ClassAlgertype methodsFor: '*OB-Algernon' stamp: 'EL 5/6/2008 10:08'!
open: aClass inBrowser: aBrowser
	aBrowser jumpTo: (OBClassNode on: aClass)! !

!CategoryAlgertype methodsFor: '*OB-Algernon' stamp: 'EL 5/6/2008 10:32'!
open: aCategory inBrowser: aBrowser
	aBrowser jumpTo: (OBClassCategoryNode on: aCategory)! !

!Algernon class methodsFor: '*OB-Algernon' stamp: 'EL 5/6/2008 09:33'!
closeAll
	"Removes all executing instances in World"
	World submorphs 
		select: [ :each | each class = Algernon ] 
		thenDo: [ :each | World removeMorph: each ] ! !

!MethodAlgertype methodsFor: '*OB-Algernon' stamp: 'EL 5/6/2008 10:11'!
open: aMethod inBrowser: aBrowser
	aBrowser jumpTo: (OBMethodNode on: aMethod  inClass: self methodClass)! !
